Skip to main content
PATCH
/
scim
/
v2
/
Groups
/
{id}
Patch group
curl --request PATCH \
  --url https://{tenant}.cubecloud.dev/api/scim/v2/Groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ],
  "Operations": [
    {
      "op": "add",
      "path": "members",
      "value": [
        {
          "value": "2819c223-7f76-453a-919d-413861904646"
        }
      ]
    }
  ]
}
'
{
  "displayName": "<string>",
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "id": "<string>",
  "members": [
    {
      "value": "<string>",
      "display": "<string>"
    }
  ],
  "meta": {
    "resourceType": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>"
  }
}

Authorizations

Authorization
string
header
required

SCIM bearer token issued from your Cube Cloud account settings.

Path Parameters

id
string
required

The unique SCIM identifier of the resource.

Body

application/json

A SCIM 2.0 PatchOp request.

schemas
string[]
required
Example:
[
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
]
Operations
object[]
required

Response

The updated group.

A SCIM 2.0 core Group resource.

displayName
string
required

Human-readable name of the group.

schemas
string[]
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
id
string
read-only
members
object[]
meta
object
read-only